package cn.com.infosec.crypto.io;

import cn.com.infosec.crypto.Mac;
import java.io.FilterInputStream;
import java.io.InputStream;

public class MacInputStream extends FilterInputStream {
   protected Mac mac;

   public MacInputStream(InputStream stream, Mac mac) {
      super(stream);
      this.mac = mac;
   }

   public int read() {
      int var1;
      if ((var1 = super.in.read()) >= 0) {
         this.mac.update((byte)var1);
      }

      return var1;
   }

   public int read(byte[] b, int off, int len) {
      if ((len = super.in.read(b, off, len)) >= 0) {
         this.mac.update(b, off, len);
      }

      return len;
   }

   public Mac getMac() {
      return this.mac;
   }
}
